{ config, pkgs, ... }:

{

  networking.interfaces.enp3s0.ipv4.addresses = [ { address = "10.42.132.1"; prefixLength = 24; } ];
  networking.firewall.trustedInterfaces = [ "enp3s0" ];

  services.fieldpoc = {
    enable = true;
    ommIp = "10.42.132.2";
    ommUser = "omm";
    ommPasswordPath = config.age.secrets.fieldpoc-ommpassword.path;
    sipsecretPath = config.age.secrets.fieldpoc-sipsecret.path;
    dhcp = {
      enable = true;
      interface = "enp3s0";
      subnet = "10.42.132.0/24";
      pool = "10.42.132.200 - 10.42.132.250";
      router = "10.42.132.1";
      dnsServers = "10.42.10.8";
      omm = "10.42.132.2";
      reservations = [
        {
          name = "omm";
          macAddress = "00:30:42:1b:8c:7c";
          ipAddress = "10.42.132.2";
        }
      ];
    };
  };

}
