{ config, pkgs, lib, ... }:

{
  imports =
    [
      ./hardware-configuration.nix

      ../../configuration/desktop

      ./backup.nix
      ./network.nix
      ./programs.nix
    ];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.timeout = 0;

  boot.initrd.luks = {
    devices.lvm = {
      device = "/dev/disk/by-uuid/f7059f75-764d-4cd1-9da7-7c64b05bff38";
      bypassWorkqueues = true;
    };
  };

  # https://wiki.clerie.de/notiz/pm-hibernation-image-allocation-is-97054-pages-short
  boot.kernel.sysctl."vm.swappiness" = 1;

  networking.hostName = "krypton";

  system.stateVersion = "23.05";
}

