{ ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../../configuration/hetzner-cloud

      ./mailcow.nix
    ];

  boot.loader.grub.enable = true;
  boot.loader.grub.version = 2;
  boot.loader.grub.device = "/dev/sda";

  networking.hostName = "mail-2";

  networking.interfaces.ens3.ipv6.addresses = [ { address = "2a01:4f8:1c1c:9577::1"; prefixLength = 64; } ];
  networking.interfaces.ens3.ipv4.addresses = [ { address = "5.75.187.112"; prefixLength = 32; } ];

  clerie.backup = {
    enable = true;
    jobs.main = {
      paths = [
        "/opt/mailcow-dockerized"
        "/var/lib"
      ];
    };
  };

  clerie.monitoring = {
    enable = true;
    id = "215";
    pubkey = "N6Q6oEJibdayQVVh3hnQTpOWFtzxUv7OQwtzXc3LXjw=";
  };

  system.stateVersion = "22.11";
}

