{ pkgs, ... }:

{
  virtualisation.docker = {
    enable = true;
    daemon.settings = {
      # make sure IPv6 is enabled, else there will be long loading times everywhere
      ipv6 = true;
      fixed-cidr-v6 = "fd00:dead:beef:c0::/80";
      experimental = true;
      ip6tables = true;
    };
  };

  environment.systemPackages = with pkgs;  [
    docker-compose
    openssl
  ];

}
