{
  pkgs,
  buildPythonPackage,
  flask,
  requests,
  python3,
}:

let
  src = pkgs.fetchgit {
    url = "https://git.clerie.de/clerie/uptime-status.git";
    rev = "caacaced97617838bbd9b7b91a4e3d06e411139b";
    sha256 = "sha256-qVvUZ+j2JnG26Fl/UcfpjY30RQjAPqCCwbxtz/+r/dU=";
  };
  pname = "uptimestatus";
  version = "0.0.1";


in buildPythonPackage rec {
  inherit src pname version;

  propagatedBuildInputs = [
    flask
    requests
  ];

  postInstall = ''
    mkdir -p $out/${python3.sitePackages}/uptimestatus
    cp -r uptimestatus/static $out/${python3.sitePackages}/uptimestatus/static
    cp -r uptimestatus/templates $out/${python3.sitePackages}/uptimestatus/templates
  '';

  doCheck = false;
}
